Bug 1253686 - [abrt] libreoffice-core: Link::operator==(Link const&) const(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: Link::operator==(Link const&) const(): soffice.bin k...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b5070e573090dd436f29c69f18d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 09:00 EDT by Mauro Risonho de Paula Assumpção
Modified: 2015-12-14 11:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 04:16:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.12 KB, text/plain)
2015-08-14 09:00 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-14 09:00 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: core_backtrace (11.66 KB, text/plain)
2015-08-14 09:00 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: dso_list (27.05 KB, text/plain)
2015-08-14 09:00 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: environ (1.97 KB, text/plain)
2015-08-14 09:00 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-14 09:00 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: maps (126.95 KB, text/plain)
2015-08-14 09:02 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: mountinfo (3.24 KB, text/plain)
2015-08-14 09:02 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-14 09:02 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: open_fds (3.42 KB, text/plain)
2015-08-14 09:02 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-08-14 09:02 EDT, Mauro Risonho de Paula Assumpção
no flags Details
File: var_log_messages (337 bytes, text/plain)
2015-08-14 09:02 EDT, Mauro Risonho de Paula Assumpção
no flags Details

  None (edit)
Description Mauro Risonho de Paula Assumpção 2015-08-14 09:00:23 EDT
Version-Release number of selected component:
libreoffice-core-4.4.5.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: Link::operator==(Link const&) const
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     4011
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 Mauro Risonho de Paula Assumpção 2015-08-14 09:00:29 EDT
Created attachment 1063015 [details]
File: backtrace
Comment 2 Mauro Risonho de Paula Assumpção 2015-08-14 09:00:30 EDT
Created attachment 1063016 [details]
File: cgroup
Comment 3 Mauro Risonho de Paula Assumpção 2015-08-14 09:00:34 EDT
Created attachment 1063017 [details]
File: core_backtrace
Comment 4 Mauro Risonho de Paula Assumpção 2015-08-14 09:00:38 EDT
Created attachment 1063018 [details]
File: dso_list
Comment 5 Mauro Risonho de Paula Assumpção 2015-08-14 09:00:41 EDT
Created attachment 1063019 [details]
File: environ
Comment 6 Mauro Risonho de Paula Assumpção 2015-08-14 09:00:45 EDT
Created attachment 1063020 [details]
File: limits
Comment 7 Mauro Risonho de Paula Assumpção 2015-08-14 09:02:02 EDT
Created attachment 1063021 [details]
File: maps
Comment 8 Mauro Risonho de Paula Assumpção 2015-08-14 09:02:04 EDT
Created attachment 1063022 [details]
File: mountinfo
Comment 9 Mauro Risonho de Paula Assumpção 2015-08-14 09:02:05 EDT
Created attachment 1063023 [details]
File: namespaces
Comment 10 Mauro Risonho de Paula Assumpção 2015-08-14 09:02:07 EDT
Created attachment 1063024 [details]
File: open_fds
Comment 11 Mauro Risonho de Paula Assumpção 2015-08-14 09:02:08 EDT
Created attachment 1063025 [details]
File: proc_pid_status
Comment 12 Mauro Risonho de Paula Assumpção 2015-08-14 09:02:10 EDT
Created attachment 1063026 [details]
File: var_log_messages
Comment 13 David Tardon 2015-08-17 04:06:22 EDT
The stack trace appears to be messed up: source file names do not match the frame in many cases. Is there a way to reproduce this crash?
Comment 14 Mauro Risonho de Paula Assumpção 2015-12-14 11:45:11 EST
The problem occurs when I select HTML content, for example a site known worldwide and copy and paste the libreoffice which generates the crash.

Note You need to log in before you can comment on or make changes to this bug.